
package de.ivu.elect.presentation.wahlvorschlag.action;

import javax.annotation.Nonnull;
import javax.inject.Inject;

import de.ivu.elect.business.wahlvorschlag.boundary.ListeChangeEvent;
import de.ivu.elect.business.wahlvorschlag.boundary.ListenverbindungConversationSelect;
import de.ivu.elect.business.wahlvorschlag.entity.Listenverbindung;
import de.ivu.elect.presentation.menu.AbstractActionEntry;

public abstract class AbstractListenverbindungAction extends AbstractActionEntry<Listenverbindung> {

  private static final long serialVersionUID = 1L;

  @Inject
  protected transient ListeChangeEvent listeChangeEvent;

  @Inject
  protected transient ListenverbindungConversationSelect listenverbindungSelect;

  public AbstractListenverbindungAction() {
    super();
  }

  @Override
  public boolean isDisabledInternal(@Nonnull Listenverbindung listenverbindung) {
    return false;
  }

  @Override
  protected boolean isFireChangeEvent() {
    return false;
  }

  @Override
  protected void fireChangeEvent() {
    listeChangeEvent.sendChangeEvent();
  }
}
